import * as cdk from '@aws-cdk/core';
import * as ec2 from '@aws-cdk/aws-ec2';
export interface CodePipelineBitBucketBuildResultReporterProps {
    /**
     * The VPC in which to run the status reporter.
     */
    readonly vpc: ec2.VpcAttributes;
    /**
     * Name of the SSM parameter that contains the BitBucket access token.
     * @default BITBUCKET_UPDATE_BUILD_STATUS_TOKEN
     */
    readonly bitBucketTokenName?: string;
    /**
     * The BitBucket server address.
     */
    readonly bitBucketServerAddress: string;
}
/** A construct for reporting CodePipeline build statuses to a BitBucket server using BitBucket REST API. */
export declare class CodePipelineBitBucketBuildResultReporter extends cdk.Construct {
    constructor(scope: cdk.Construct, id: string, props: CodePipelineBitBucketBuildResultReporterProps);
}
